Subject: Re: oDAD: allowing RS from tentative addresses (Re: optimistic dad comments)

From: Greg Daley <[email-masked]>
Date: Sun, 06 Jun 2004 14:47:26 +1000

Hi Markku, 

Sorry about the delay in responding.

I thought I had better read RFC 2461 more closely
before answering.

----- Original Message -----
From: Markku Savela <[email-masked]>
Date: Thursday, June 3, 2004 5:44 pm
Subject: Re: oDAD: allowing RS from tentative addresses (Re: optimistic 
dad comments)

> Minor detail correction...
> 
> > From: Greg Daley <[email-masked]>
> 
> > Please also be aware there is no issue for default router selection
> > on hosts, (which is what the IsRouter flag is for) since they never
> > receive the RS in the first place.
> 
> IsRouter only implies router, but it does not need to be a default
> router (e.g. IsRouter is set for a router that sends RA with
> RouterLifeTime = 0, which means "not a default router").
> 

Indeed, you're correct, but I'm not sure what the actual
function of the flag is in this case, since no other function
is defined for the IsRouter flag in RFC 2461 than populating
the default router list.

What I'm trying to determine is if there is any actual effect
on routers caused by the IsRouter flag transiting to unset.

It seems that when the IsRouter flag transitions to unset, 
the default router list entry is removed, and destination cache
entries removed, such hosts select a default router for off-link
destinations from the modified list.

For hosts, this would have the effect of directing packets to 
a new next-hop router. This state would last beyond the interval 
until the reception of a new (Router or  NA:R=1) advertisement.

For Routers I'm not sure if there's any reason for them to make
next hop determination based on the Default Router List, so this
may not be a problem.

Can anyone indicate if there is a reason why the router would 
do this, or use the IsRouter flag?

Greg

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------